Frequently Asked Question

PocketWizard Utility for Mac
Last Updated 5 years ago

  1. Download the PocketWizard Utility Installer 1.70 for OS X and macOS versions 10.8 (Mountain Lion) through 10.12 (Sierra)
    • If you want the older version, or have an older Mac OS X version (10.7 or earlier), you can find it here. Version 1.70 is required for the latest products like the MultiMAX II and the Canon FlexTT6, and has the latest updates
  2. Save the Installer Disk Image file (.dmg) to the directory of your choice (usually the Downloads folder)
  3. Open the downloaded .dmg file
  4. Run the PocketWizard installer package within the Disk Image, and follow the installation prompts
  5. The PocketWizard Utility is now installed in your Applications folder. Find it there and run it! You can delete the Installer Disk Image file (.dmg)
This website relies on temporary cookies to function, but no personal data is ever stored in the cookies.
OK

Loading ...